Home | All Classes | Grouped Classes | Index | Search

# Class CL_ShaderObject

OpenGL Shader Object More...

Derived from: none
Derived by: none
Group: GL (Display 3D)

#include <ClanLib/gl.h>

Construction:

CL_ShaderObject | Constructs an OpenGL shader.

Attributes:

get_handle | Returns the OpenGL shader handle.
get_compile_status | Returns true if compile succeeded.
get_shader_type | Gets the shader type.
get_info_log | Get shader object's info log.
get_shader_source | Get shader source code.

Operations:

operator == | Handle assignment operator.

Detailed description:

The source code that makes up a program that gets executed by one of the programmable stages is encapsulated in one or more shader objects. Shader objects are attached to a program objects to form a programmable setup. CL_ShaderObject is ClanLib's C++ interface to OpenGL shader objects.

Questions or comments, write to the ClanLib mailing list.